<div class="general-settings">
  <form class="container-form" [formGroup]="form" (ngSubmit)="onSubmit()">
    <layout-setting-item title="Offer name:">
      <div class="form">
        <mo-input placeholder="Name" formControlName="name"></mo-input>
      </div>
    </layout-setting-item>

    <layout-setting-item title="Description:">
      <div class="form">
        <mo-textarea formControlName="description"></mo-textarea>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Maximun number of active credits:"
      description="Select the maximum number of active credits each customer can have at the same time for this offer. Choose between a fixed number or limitless."
    >
      <div class="form">
        <mo-input
          placeholder="# Number"
          formControlName="max_active_credits"
          [type]="INPUT_TYPE.NUMBER"
          [required]="false"
        ></mo-input>
        <mo-checkbox
          label="Limitless"
          formControlName="limitless"
        ></mo-checkbox>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Terms & conditions"
      description="Upload the terms and conditions that will apply to your customers when committing to this offer. "
    >
      <div class="form" [ngClass]="{ form__row: !!form.get('file').value }">
        <mo-upload
          [showButtonDelete]="true"
          [form]="form"
          controlName="file"
          info="* For file PNG, PDF and sizes larger than XXGB, please contact us
          to complete your request."
        ></mo-upload>
      </div>
    </layout-setting-item>

    <div class="form__buttons">
      <mo-button
        text="Next"
        [isDisabled]="form.invalid"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
      >
      </mo-button>
    </div>
  </form>
</div>
